1. Store
Attribuly Developers
  • Public API
    • API Authentication Guide
    • Attribution
      • All
        • Get attribution report
        • Get total numbers
      • Ads
        • Channel/Campaign/Ad-set/Ad level ads attribution
        • list all customer level details
        • Customer level report for a specific campaign
      • Product analytics
        • List product analytics
        • List total data for product analysis
        • Attribution report for a single product
        • Total attribution report for a single product
      • Web Analytics
        • Web Analytics
        • Get total numbers
    • Tracking links
      • Influencer
      • Link Builder
    • Store
      • Raw Events
        POST
      • Customer journey of an order
        POST
      • Order First & Last Touchpoint of an order
        POST
      • Event summary of a landing page
        POST
    • Setting
      • Attribution models
      • Conversion Goals
    • Connections
      • List Source
      • List Destination
  • Push data to Attribuly
    • Quick Start
    • Events
      • Page viewed
      • Cart viewed
      • Product viewed
      • Collection viewed
      • Search submitted
      • Product added to cart
      • Product removed to cart
      • Lead form
      • Checkout started
      • Payment info submitted
      • Checkout completed
      • Checkout address info submitted
      • Checkout contact info submitted
      • Checkout shipping info submitted
      • Basic
        • Checkout
        • Context
        • Document
        • MailAddress
        • Navigator
        • Window
    • Store
      • Order
      • Customers
      • Products
  • Attribuly MCP Server
    • MCP Configure
  1. Store

Customer journey of an order

prod
https://data.api.attribuly.com
prod
https://data.api.attribuly.com
POST
/{version}/api/order/event

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://data.api.attribuly.com/v2-4-2/api/order/event' \
--header 'ApiKey;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "order_id": "string",
    "page": 0,
    "page_size": 0
}'
Response Response Example
{
    "code": 1,
    "message": "Service succeed",
    "data": {
        "order_id": "5154899656917",
        "shop_currency": "USD",
        "total": 1,
        "page": 1,
        "page_size": 20,
        "events": [
            {
                "event_id": "9yc5v001000cu0rlqh770iye005p087h",
                "event_at": "2023-03-29 08:26:42",
                "event_page_url": "https://test-xq.myshopify.com/?dm_cam=23852036112060436&dm_grp=23852036112150436&dm_ad=23852036112230436&dm_net=facebook&fbclid=IwAR0BW3u3sOIHRq_R5CfZIUQkie2pWM1Jg0Yc7FHQR5eUWP1nJnDU0UKrRMc",
                "event_page_title": "Test-Dmap",
                "event_page_referrer": "",
                "event_page_ip": "103.105.49.145",
                "event_page_user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/111.0.0.0 Safari/537.36",
                "event_campaign": "Standard Shopping-cam-0103",
                "event_source": "facebook",
                "event_medium": "ads",
                "event_type": "ad",
                "creator": null,
                "ad": {
                    "account_id": "628838465542582",
                    "account_name": "Xq Cecile",
                    "campaign_id": "23852036112060436",
                    "campaign_name": "Standard Shopping-cam-0802",
                    "set_id": "23852036112150436",
                    "set_name": "Standard Shopping-adset",
                    "ad_id": "23852036112230436",
                    "ad_name": "Standard Shopping-ad",
                    "ad_platform": "facebook",
                    "keyword": ""
                },
                "email": null,
                "social_media": null,
                "organic_search": null,
                "products": null,
                "cart_viewed": null,
                "checkout_started": null,
                "checkout_completed": null,
                "payment_info_submitted": null,
                "search_submitted": null
            }
        ]
    }
}
Modified at 2026-03-16 10:09:41
Previous
Raw Events
Next
Order First & Last Touchpoint of an order
Built with